v1
Update Wallet
Update wallet configuration.
PUT
/
v1
/
agents
/
{agent_id}
/
wallet
Update Wallet
curl --request PUT \
--url https://api.example.com/v1/agents/{agent_id}/wallet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": {
"mpp_tempo_key": "<string>",
"x402_private_key": "<string>"
},
"mpp_config": {
"chain_id": 123,
"currency": "<string>",
"decimals": 6,
"payment_method_types": [
"<string>"
],
"recipient": "<string>",
"rpc_url": "<string>",
"session_budget_usd": 10,
"stripe_profile_id": "<string>"
},
"service_budget_period": "<string>",
"service_budget_usd": 123,
"status": "<string>",
"wallet_type": "<string>",
"x402_config": {
"facilitator_url": "https://x402.org/facilitator",
"network": "eip155:8453",
"scheme": "exact",
"signer_type": "evm"
}
}
'import requests
url = "https://api.example.com/v1/agents/{agent_id}/wallet"
payload = {
"credentials": {
"mpp_tempo_key": "<string>",
"x402_private_key": "<string>"
},
"mpp_config": {
"chain_id": 123,
"currency": "<string>",
"decimals": 6,
"payment_method_types": ["<string>"],
"recipient": "<string>",
"rpc_url": "<string>",
"session_budget_usd": 10,
"stripe_profile_id": "<string>"
},
"service_budget_period": "<string>",
"service_budget_usd": 123,
"status": "<string>",
"wallet_type": "<string>",
"x402_config": {
"facilitator_url": "https://x402.org/facilitator",
"network": "eip155:8453",
"scheme": "exact",
"signer_type": "evm"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: {mpp_tempo_key: '<string>', x402_private_key: '<string>'},
mpp_config: {
chain_id: 123,
currency: '<string>',
decimals: 6,
payment_method_types: ['<string>'],
recipient: '<string>',
rpc_url: '<string>',
session_budget_usd: 10,
stripe_profile_id: '<string>'
},
service_budget_period: '<string>',
service_budget_usd: 123,
status: '<string>',
wallet_type: '<string>',
x402_config: {
facilitator_url: 'https://x402.org/facilitator',
network: 'eip155:8453',
scheme: 'exact',
signer_type: 'evm'
}
})
};
fetch('https://api.example.com/v1/agents/{agent_id}/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"id": "<string>",
"service_budget_period": "<string>",
"service_budget_usd": 123,
"status": "<string>",
"wallet_type": "<string>",
"created_at": "<string>",
"has_credentials": false,
"mpp_config": {},
"updated_at": "<string>",
"x402_config": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
⌘I
Update Wallet
